Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.collect
Class SpillableProps

    java.lang.Object
      cascading.property.Props
          cascading.tuple.collect.SpillableProps

    public class SpillableProps

extends Props

Class SpillableProps is a fluent interface for building properties to be passed to a `FlowConnector` before creating new `Flow` instances.

See Also:
  `SpillableTupleList`, `SpillableTupleMap`

Field Summary
`static int` | `defaultListThreshold`
`static int` | `defaultMapInitialCapacity`
`static float` | `defaultMapLoadFactor`
`static int` | `defaultMapThreshold`
`static String` | `LIST_THRESHOLD` Number of tuples to hold in memory before spilling them to disk.
`static String` | `MAP_CAPACITY` The initial hash map capacity.
`static String` | `MAP_LOADFACTOR` The initial hash map load factor.
`static String` | `MAP_THRESHOLD` The total number of tuple values (not keys) to attempt to keep in memory.
`static String` | `SPILL_CODECS` A comma delimited list of possible codecs to try.
`static String` | `SPILL_COMPRESS` Whether to enable compress of the spills or not, on by default.

Constructor Summary
`SpillableProps()`

Method Summary
`SpillableProps` | `addCodec(String codec)`
`SpillableProps` | `addCodecs(List<String> codecs)`
`protected void` | `addPropertiesTo(Properties properties)`
`List<String>` | `getCodecs()`
`int` | `getListSpillThreshold()`
`int` | `getMapInitialCapacity()`
`float` | `getMapLoadFactor()`
`int` | `getMapSpillThreshold()`
`boolean` | `isCompressSpill()`
`SpillableProps` | `setCodecs(List<String> codecs)`
`SpillableProps` | `setCompressSpill(boolean compressSpill)`
`SpillableProps` | `setListSpillThreshold(int listSpillThreshold)`
`SpillableProps` | `setMapInitialCapacity(int mapInitialCapacity)`
`SpillableProps` | `setMapLoadFactor(float mapLoadFactor)`
`SpillableProps` | `setMapSpillThreshold(int mapSpillThreshold)`
`static SpillableProps` | `spillableProps()`

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPILL_COMPRESS

    public static final String SPILL_COMPRESS

  Whether to enable compress of the spills or not, on by default.

  See Also:
    `Boolean.parseBoolean(String)`, Constant Field Values

### SPILL_CODECS

    public static final String SPILL_CODECS

  A comma delimited list of possible codecs to try. This is platform dependent.

  See Also:
    Constant Field Values

### LIST_THRESHOLD

    public static final String LIST_THRESHOLD

  Number of tuples to hold in memory before spilling them to disk.

  See Also:
    Constant Field Values

### MAP_THRESHOLD

    public static final String MAP_THRESHOLD

  The total number of tuple values (not keys) to attempt to keep in memory.

  See Also:
    Constant Field Values

### MAP_CAPACITY

    public static final String MAP_CAPACITY

  The initial hash map capacity.

  See Also:
    `HashMap`, Constant Field Values

### MAP_LOADFACTOR

    public static final String MAP_LOADFACTOR

  The initial hash map load factor.

  See Also:
    `HashMap`, Constant Field Values

### defaultListThreshold

    public static final int defaultListThreshold

See Also:
  Constant Field Values

### defaultMapThreshold

    public static final int defaultMapThreshold

See Also:
  Constant Field Values

### defaultMapInitialCapacity

    public static final int defaultMapInitialCapacity

See Also:
  Constant Field Values

### defaultMapLoadFactor

    public static final float defaultMapLoadFactor

See Also:
  Constant Field Values

Constructor Detail

### SpillableProps

    public SpillableProps()

Method Detail

### spillableProps

    public static SpillableProps spillableProps()

### isCompressSpill

    public boolean isCompressSpill()

### setCompressSpill

    public SpillableProps setCompressSpill(boolean compressSpill)

### getCodecs

    public List<String> getCodecs()

### setCodecs

    public SpillableProps setCodecs(List<String> codecs)

### addCodecs

    public SpillableProps addCodecs(List<String> codecs)

### addCodec

    public SpillableProps addCodec(String codec)

### getListSpillThreshold

    public int getListSpillThreshold()

### setListSpillThreshold

    public SpillableProps setListSpillThreshold(int listSpillThreshold)

### getMapSpillThreshold

    public int getMapSpillThreshold()

### setMapSpillThreshold

    public SpillableProps setMapSpillThreshold(int mapSpillThreshold)

### getMapInitialCapacity

    public int getMapInitialCapacity()

### setMapInitialCapacity

    public SpillableProps setMapInitialCapacity(int mapInitialCapacity)

### getMapLoadFactor

    public float getMapLoadFactor()

### setMapLoadFactor

    public SpillableProps setMapLoadFactor(float mapLoadFactor)

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.